com.fasterxml.jackson.databind.ser.std

## Class StdArraySerializers.DoubleArraySerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.databind.ser.ContainerSerializer<T>
      - - com.fasterxml.jackson.databind.ser.std.ArraySerializerBase<double[]>
        - - com.fasterxml.jackson.databind.ser.std.StdArraySerializers.DoubleArraySerializer

- All Implemented Interfaces:
    JsonFormatVisitable, SchemaAware, ContextualSerializer, Serializable
  Enclosing class:
    StdArraySerializers

      public static class StdArraySerializers.DoubleArraySerializer
      extends ArraySerializerBase<double[]>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.ArraySerializerBase

      `_property, _unwrapSingle`

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `DoubleArraySerializer()`
    `protected` | `DoubleArraySerializer(StdArraySerializers.DoubleArraySerializer src, BeanProperty prop, Boolean unwrapSingle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonSerializer<?>` | `_withResolved(BeanProperty prop, Boolean unwrapSingle)`
    `ContainerSerializer<?>` | `_withValueTypeSerializer(TypeSerializer vts)` Doubles never add type info; hence, even if type serializer is suggested, we'll ignore it...
    `void` | `acceptJsonFormatVisitor(JsonFormatVisitorWrapper visitor, JavaType typeHint)` Default implementation specifies no format.
    `JsonSerializer<?>` | `getContentSerializer()` Accessor for serializer used for serializing contents (List and array elements, Map values etc) of the container for which this serializer is used, if it is known statically.
    `JavaType` | `getContentType()` Accessor for finding declared (static) element type for type this serializer is used for.
    `JsonNode` | `getSchema(SerializerProvider provider, Type typeHint)` Default implementation simply claims type is "string"; usually overriden by custom serializers.
    `boolean` | `hasSingleElement(double[] value)` Method called to determine if the given value (of type handled by this serializer) contains exactly one element.
    `boolean` | `isEmpty(SerializerProvider prov, double[] value)` Method called to check whether given serializable value is considered "empty" value (for purposes of suppressing serialization of empty values).
    `void` | `serialize(double[] value, JsonGenerator g, SerializerProvider provider)` Method that can be called to ask implementation to serialize values of type this serializer handles.
    `void` | `serializeContents(double[] value, JsonGenerator g, SerializerProvider provider)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.ArraySerializerBase

      `_shouldUnwrapSingle, createContextual, serializeWithType`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.ContainerSerializer

      `hasContentTypeAnnotation, withValueTypeSerializer`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `getDelegatee, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleArraySerializer

          public DoubleArraySerializer()

    - #### DoubleArraySerializer

          protected DoubleArraySerializer(StdArraySerializers.DoubleArraySerializer src,
                                          BeanProperty prop,
                                          Boolean unwrapSingle)

      Since:
        2.6

  - ### Method Detail

    - #### _withResolved

          public JsonSerializer<?> _withResolved(BeanProperty prop,
                                                 Boolean unwrapSingle)

      Specified by:
        `_withResolved` in class `ArraySerializerBase<double[]>`

    - #### _withValueTypeSerializer

          public ContainerSerializer<?> _withValueTypeSerializer(TypeSerializer vts)

      Doubles never add type info; hence, even if type serializer is suggested, we'll ignore it...
      Specified by:
        `_withValueTypeSerializer` in class `ContainerSerializer<double[]>`

    - #### getContentType

          public JavaType getContentType()

      Description copied from class: `ContainerSerializer`
      Accessor for finding declared (static) element type for type this serializer is used for.
      Specified by:
        `getContentType` in class `ContainerSerializer<double[]>`

    - #### getContentSerializer

          public JsonSerializer<?> getContentSerializer()

      Description copied from class: `ContainerSerializer`
      Accessor for serializer used for serializing contents (List and array elements, Map values etc) of the container for which this serializer is used, if it is known statically. Note that for dynamic types this may return null; if so, caller has to instead use `ContainerSerializer.getContentType()` and `SerializerProvider.findValueSerializer(java.lang.Class<?>, com.fasterxml.jackson.databind.BeanProperty)`.
      Specified by:
        `getContentSerializer` in class `ContainerSerializer<double[]>`

    - #### isEmpty

          public boolean isEmpty(SerializerProvider prov,
                                 double[] value)

      Description copied from class: `JsonSerializer`
      Method called to check whether given serializable value is considered "empty" value (for purposes of suppressing serialization of empty values).

      Default implementation will consider only null values to be empty.

      NOTE: replaces `JsonSerializer.isEmpty(Object)`, which was deprecated in 2.5

      Overrides:
        `isEmpty` in class `JsonSerializer<double[]>`

    - #### hasSingleElement

          public boolean hasSingleElement(double[] value)

      Description copied from class: `ContainerSerializer`
      Method called to determine if the given value (of type handled by this serializer) contains exactly one element.

      Note: although it might seem sensible to instead define something like "getElementCount()" method, this would not work well for containers that do not keep track of size (like linked lists may not).

      Note, too, that as of now (2.9) this method is only called by serializer itself; and specifically is not used for non-array/collection types like `Map` or `Map.Entry` instances.

      Specified by:
        `hasSingleElement` in class `ContainerSerializer<double[]>`

    - #### serialize

          public final void serialize(double[] value,
                                      JsonGenerator g,
                                      SerializerProvider provider)
                               throws IOException

      Description copied from class: `JsonSerializer`
      Method that can be called to ask implementation to serialize values of type this serializer handles.
      Overrides:
        `serialize` in class `ArraySerializerBase<double[]>`
      Parameters:
        `value` - Value to serialize; can not be null.
        `g` - Generator used to output resulting Json content
        `provider` - Provider that can be used to get serializers for serializing Objects value contains, if any.
      Throws:
        `IOException`

    - #### serializeContents

          public void serializeContents(double[] value,
                                        JsonGenerator g,
                                        SerializerProvider provider)
                                 throws IOException

      Specified by:
        `serializeContents` in class `ArraySerializerBase<double[]>`
      Throws:
        `IOException`

    - #### getSchema

          public JsonNode getSchema(SerializerProvider provider,
                                    Type typeHint)

      Description copied from class: `StdSerializer`
      Default implementation simply claims type is "string"; usually overriden by custom serializers.
      Specified by:
        `getSchema` in interface `SchemaAware`
      Overrides:
        `getSchema` in class `StdSerializer<double[]>`
      Parameters:
        `provider` - The serializer provider.
        `typeHint` - A hint about the type.
      Returns:
        Json-schema for this serializer.

    - #### acceptJsonFormatVisitor

          public void acceptJsonFormatVisitor(JsonFormatVisitorWrapper visitor,
                                              JavaType typeHint)
                                       throws JsonMappingException

      Description copied from class: `StdSerializer`
      Default implementation specifies no format. This behavior is usually overriden by custom serializers.
      Specified by:
        `acceptJsonFormatVisitor` in interface `JsonFormatVisitable`
      Overrides:
        `acceptJsonFormatVisitor` in class `StdSerializer<double[]>`
        `typeHint` - Type of element (entity like property) being visited
      Throws:
        `JsonMappingException`

Copyright © 2008–2018 FasterXML. All rights reserved.